

# set terminal pngcairo size 350,262 enhanced font 'Verdana,10'
set terminal pngcairo size 800,800 enhanced font 'Verdana,10'



reset
set key top center maxrows 2 font ", 20"
set tics font ", 20"
set xlabel "L" font ", 20"
set ylabel "U" font ", 20" rotate by 00 offset 0,0
set style fill border
system('mkdir -p ANIMATION')


FILES1= system("ls -1 SAIDAS/*.dat")

set xrange [0:1.0]
set yrange [0:1.2]
do for [i=1:words(FILES1)] {

    set output sprintf('ANIMATION/sp%09.0f.png',i)
    
    plot word(FILES1,i) using 1:2 title " " with lines lt rgb "black" lw 3
}





# Create movie with mencoder
ENCODER = system('which mencoder');
if (strlen(ENCODER)==0) print '=== mencoder not found ==='; exit
# CMD = 'mencoder mf://ANIMATION/*.png -mf fps=25:type=png -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o anime.mp4'
CMD = 'mencoder mf://ANIMATION/*.png -mf fps=15:type=png -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o anime.mp4'
system(CMD)

system('rm -r ANIMATION')




